/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.vsb.vis.visvzorservice;

import cz.vsb.vis.visvzor.model.Clovek;
import static cz.vsb.vis.visvzor.model.Clovek.from;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.stream.Stream;

/**
 *
 * @author nav79
 */
public class LideRepositoryImpl implements LideRepository {

    public void ulozLidi(Collection<Clovek> lide) throws FileNotFoundException, UnsupportedEncodingException {
        try (PrintWriter pw = new PrintWriter("lide.txt", "UTF-8")) {
            lide.forEach((clovek) -> {
                pw.println(String.format("%s;%s", clovek.getJmeno(), clovek.getPrijmeni()));
            });
        }
    }

    public List<Clovek> nactiLidi() {
        List<Clovek> lide = new ArrayList<>();
        try (Stream<String> stream = Files.lines(Paths.get("lide.txt"))) {
            stream.forEach(line -> lide.add(from(line)));
        } catch (IOException ex) {
            Logger.getLogger(LideService.class.getName()).log(Level.SEVERE, null, ex);
        }
        return lide;
    }

}
